package com.zanxiang.game.back.base.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TencentRoleRegisterAppApiRpcDTO implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 回传策略ID
     */
    private Long backPolicyId;
    /**
     * sdk 里面的用户 id（要求唯一）
     */
    private String userId;
    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 广告账号ID
     */
    private Long adAccountId;
    /**
     * 创角时间
     */
    private LocalDateTime registerTime;

    /**
     * 渠道号
     */
    private String channel;

    private String roleId;

    private String roleName;

    private Long roleLevel;

    /**
     * 用户设备mac地址
     */
    private String mac;

    /**
     * 设备唯一编号IMEI
     */
    private String imei;

    /**
     * 设备OAID
     */
    private String oaid;

    /**
     * 安卓id, (仅安卓设备才有值)
     */
    private String androidId;

    /**
     * IOS设备IDFA
     */
    private String idfa;

    /**
     * IOS设备CAID
     */
    private String caid;
}
