package com.zanxiang.game.back.serve.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class BackPolicyOfSumRecharge {

    @ApiModelProperty("充值注册最大间隔时间（超时不回传）")
    private Long regPayIntervalTime;

    @ApiModelProperty("充值挡位")
    private List<RechargeLevel> rechargeLevelList;

    @ApiModelProperty("激活回传开关")
    private Boolean activeBackSwitch;

    @ApiModelProperty("角色激活回传开关")
    private Boolean roleBackSwitch;

    @ApiModelProperty("最小回传等级")
    private Long roleLevelMin;

    @ApiModelProperty("新手引导回传条件")
    private TutorialFinish tutorialFinish;

    @ApiModelProperty("监测链接回传")
    private Boolean linkCallBack;

    @Data
    public static class RechargeLevel {

        @ApiModelProperty("最小金额")
        private BigDecimal minAmount;

        @ApiModelProperty("最大金额")
        private BigDecimal maxAmount;

        @ApiModelProperty("单用户最大回传订单数")
        private Long backCountOfUser;
    }
}
