package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 游戏腾讯订单表
 * </p>
 *
 * @author auto
 * @since 2023-06-01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_game_tencent_mini_game_order")
public class GameTencentMiniGameOrder implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 渠道号
     */
    private String agentKey;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 广告账号ID
     */
    private Long adAccountId;

    /**
     * 注册时间
     */
    private LocalDateTime registerTime;

    /**
     * 关注时间
     */
    private LocalDateTime subscribeTime;

    /**
     * 充值金额（分）
     */
    private Long rechargeMoney;

    /**
     * 充值时间
     */
    private LocalDateTime rechargeTime;

    /**
     * 订单ID
     */
    private String orderId;

    /**
     * openid
     */
    private String wechatOpenid;

    /**
     * appid
     */
    private String wechatAppId;

    /**
     * 支付状态，0 : 预下单, 1 : 待支付，2 : 支付成功，-1 : 已取消
     */
    private Integer orderStatus;

    /**
     * 支付时间
     */
    private LocalDateTime payTime;

    private String clickId;
    /**
     * 回传策略ID
     */
    private Long backPolicyId;
    /**
     * 回传状态
     */
    private Integer backStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 是否首单
     */
    private Boolean isFirstOrder;

    /**
     * 回传金额
     */
    private Long backMoney;

    /**
     * 回传信息
     */
    private String backMsg;

    /**
     * 回传方式
     */
    private String backType;
}
