package com.zanxiang.game.data.serve.controller;

import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.game.data.serve.pojo.dto.TencentCreativeDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.TencentPromotionDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.TencentPromotionDayTotalDTO;
import com.zanxiang.game.data.serve.pojo.vo.TencentCreativeDayTotalVO;
import com.zanxiang.game.data.serve.pojo.vo.TencentCreativeDayVO;
import com.zanxiang.game.data.serve.pojo.vo.TencentPromotionDayTotalVO;
import com.zanxiang.game.data.serve.pojo.vo.TencentPromotionDayVO;
import com.zanxiang.game.data.serve.service.IAdsCreativeDayService;
import com.zanxiang.game.data.serve.service.IAdsPromotionDayService;
import com.zanxiang.game.data.serve.utils.Page;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author tianhua
 * @time 2023/7/27
 * @Description
 **/
@Api(tags = {"创意监控"})
@RestController
@RequestMapping("/creativeData")
@Slf4j
public class AdsCreativeDayController {


    @Autowired
    private IAdsCreativeDayService adsCreativeDayService;

    @ApiOperation(value = "腾讯创意监控数据")
    @PreAuthorize(permissionKey = "creativeData:adsCreativeDay:day")
    @PostMapping("/tencent/day")
    public ResultVO<Page<TencentCreativeDayVO>> getTencentCreativeDayData(@RequestBody TencentCreativeDayDTO dto) {
        return ResultVO.ok(adsCreativeDayService.getTencentCreativeDayData(dto));
    }

    @ApiOperation(value = "腾讯创意监控数据总计")
    @PreAuthorize(permissionKey = "creativeData:adsCreativeDay:total")
    @PostMapping("/tencent/total")
    public ResultVO<TencentCreativeDayTotalVO> getTencentCreativeTotalData(@RequestBody TencentCreativeDayDTO dto) {
        return ResultVO.ok(adsCreativeDayService.getTencentCreativeTotalData(dto));
    }


}
