package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.util.List;

/**
 * packageName com.zanxiang.game.data.serve.pojo.dto
 *
 * @author ZhangXianyu
 * @date 2024/9/2
 * @description 游戏媒体留存数据DTO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class MediaActiveDataDayDTO extends BasePage {

    @ApiModelProperty(notes = "游戏ID")
    private List<Long> gameId;

    @ApiModelProperty(notes = "游戏类别")
    private Long classify;

    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    @ApiModelProperty(notes = "注册开始时间")
    private LocalDate registeredBeginDate;

    @ApiModelProperty(notes = "注册结束时间")
    private LocalDate registeredEndDate;

    @ApiModelProperty(notes = """
            选择留存数据的类型：reg -> 注册留存 ; role -> 角色留存 ; amount -> 付费留存
            """)
    private String activeTypes;

    @ApiModelProperty(notes = "排序字段")
    private String sortFiled;

    @ApiModelProperty(notes = "排序方式：升序asc;降序desc")
    private String sortType;

    @ApiModelProperty(notes = "游戏维度：1-子游戏维度;2-父游戏维度")
        private Long gameDimension = 1L;

    @ApiModelProperty(value = "媒体类型")
    private String accountType;

}