package com.zanxiang.game.gs.data.serve.pojo.entity.game.parent;

import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Builder;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Table;

import java.lang.Long;
import java.time.LocalDate;
import java.lang.String;

/**
 * 游戏GS区服付费留存（某R人数） 实体类。
 *
 * @author shaosong
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(value = "ads_game_server_gs_active_r_day_parent")
public class AdsGameServerGsActiveRDayParent {

    /**
     * SDK来源
     */
    @Column(value = "source_system")
    private String sourceSystem;

    /**
     * 开服时间
     */
    @Column(value = "dt")
    private LocalDate dt;

    /**
     * 充值时间
     */
    @Column(value = "order_day")
    private LocalDate orderDay;

    /**
     * 区服ID
     */
    @Column(value = "server_id")
    private String serverId;

    /**
     * 游戏ID
     */
    @Column(value = "parent_game_id")
    private String parentGameId;

    /**
     * 小R人数
     */
    @Column(value = "small_r")
    private Long smallR;

    /**
     * 中R人数
     */
    @Column(value = "centre_r")
    private Long centreR;

    /**
     * 大R人数
     */
    @Column(value = "big_r")
    private Long bigR;

    /**
     * 超R人数
     */
    @Column(value = "super_large_r")
    private Long superLargeR;

    /**
     * 总R人数
     */
    @Column(value = "total_r")
    private Long totalR;


}
