package com.zanxiang.game.gs.data.serve.pojo.entity.game.parent;

import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Builder;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Table;

import java.math.BigDecimal;
import java.lang.Long;
import java.time.LocalDate;
import java.lang.String;

/**
 * GS区服付费留存(游戏GS管理) 实体类。
 *
 * @author shaosong
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(value = "ads_gs_server_day_parent")
public class AdsGsServerDayParent {

    /**
     * 开服时间
     */
    @Column(value = "start_time")
    private LocalDate startTime;

    /**
     * SDK来源
     */
    @Column(value = "source_system")
    private String sourceSystem;

    /**
     * 父游戏ID
     */
    @Column(value = "parent_game_id")
    private String parentGameId;

    /**
     * 区服ID
     */
    @Column(value = "server_id")
    private String serverId;

    /**
     * 超父游戏ID
     */
    @Column(value = "super_game_id")
    private String superGameId;

    /**
     * 结束时间（无合服记录默认：2099-01-01）
     */
    @Column(value = "end_time")
    private LocalDate endTime;

    /**
     * 游戏名称
     */
    @Column(value = "parent_game_name")
    private String parentGameName;

    /**
     * 区服名称
     */
    @Column(value = "server_name")
    private String serverName;

    /**
     * GsID
     */
    @Column(value = "gs_ids")
    private String gsIds;

    /**
     * 客服id
     */
    @Column(value = "customer_ids")
    private String customerIds;

    /**
     * 指派期间创角人数（合服）
     */
    @Column(value = "total_role_num")
    private Long totalRoleNum;

    /**
     * 指派期间付费人数（合服）
     */
    @Column(value = "total_amount_num")
    private Long totalAmountNum;

    /**
     * 指派期间付费次数（合服）
     */
    @Column(value = "total_amount_count")
    private Long totalAmountCount;

    /**
     * 指派期间付费金额（合服）
     */
    @Column(value = "total_amount")
    private BigDecimal totalAmount;

    /**
     * 指派期间ARPPU (人均付费金额）（合服）
     */
    @Column(value = "arppu")
    private BigDecimal arppu;

    /**
     * 指派期间客单价（合服）
     */
    @Column(value = "avg_amount")
    private BigDecimal avgAmount;

    /**
     * 指派期间付费率（合服）
     */
    @Column(value = "amount_rate")
    private BigDecimal amountRate;

    /**
     * 创角人数（子服）
     */
    @Column(value = "son_role_num")
    private Long sonRoleNum;

    /**
     * 付费人数（子服）
     */
    @Column(value = "son_server_amount_num")
    private Long sonServerAmountNum;

    /**
     * 付费次数（子服）
     */
    @Column(value = "son_server_amount_count")
    private Long sonServerAmountCount;

    /**
     * 付费金额（子服）
     */
    @Column(value = "son_server_amount")
    private BigDecimal sonServerAmount;

    /**
     * ARPPU (人均付费金额）（子服）
     */
    @Column(value = "son_arppu")
    private BigDecimal sonArppu;

    /**
     * 客单价（子服）
     */
    @Column(value = "son_avg_amount")
    private BigDecimal sonAvgAmount;

    /**
     * 付费率（子服）
     */
    @Column(value = "son_amount_rate")
    private BigDecimal sonAmountRate;

    /**
     * 区服第1天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da1")
    private String da1;

    /**
     * 区服在第2天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da2")
    private String da2;

    /**
     * 区服在第3天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da3")
    private String da3;

    /**
     * 区服在第4天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da4")
    private String da4;

    /**
     * 区服在第5天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da5")
    private String da5;

    /**
     * 区服在第6天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da6")
    private String da6;

    /**
     * 区服在第7天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da7")
    private String da7;

    /**
     * 区服在第8天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da8")
    private String da8;

    /**
     * 区服在第9天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da9")
    private String da9;

    /**
     * 区服在第10天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da10")
    private String da10;

    /**
     * 区服在第11天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da11")
    private String da11;

    /**
     * 区服在第12天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da12")
    private String da12;

    /**
     * 区服在第13天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da13")
    private String da13;

    /**
     * 区服在第14天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da14")
    private String da14;

    /**
     * 区服在第15天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da15")
    private String da15;

    /**
     * 区服在第16天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da16")
    private String da16;

    /**
     * 区服在第17天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da17")
    private String da17;

    /**
     * 区服在第18天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da18")
    private String da18;

    /**
     * 区服在第19天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da19")
    private String da19;

    /**
     * 区服在第20天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da20")
    private String da20;

    /**
     * 区服在第21天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da21")
    private String da21;

    /**
     * 区服在第22天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da22")
    private String da22;

    /**
     * 区服在第23天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da23")
    private String da23;

    /**
     * 区服在第24天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da24")
    private String da24;

    /**
     * 区服在第25天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da25")
    private String da25;

    /**
     * 区服在第26天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da26")
    private String da26;

    /**
     * 区服在第27天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da27")
    private String da27;

    /**
     * 区服在第28天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da28")
    private String da28;

    /**
     * 区服在第29天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da29")
    private String da29;

    /**
     * 区服在第30天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da30")
    private String da30;

    /**
     * 区服在第31天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da31")
    private String da31;

    /**
     * 区服在第32天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da32")
    private String da32;

    /**
     * 区服在第33天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da33")
    private String da33;

    /**
     * 区服在第34天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da34")
    private String da34;

    /**
     * 区服在第35天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da35")
    private String da35;

    /**
     * 区服在第36天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da36")
    private String da36;

    /**
     * 区服在第37天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da37")
    private String da37;

    /**
     * 区服在第38天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da38")
    private String da38;

    /**
     * 区服在第39天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da39")
    private String da39;

    /**
     * 区服在第40天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da40")
    private String da40;

    /**
     * 区服在第41天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da41")
    private String da41;

    /**
     * 区服在第42天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da42")
    private String da42;

    /**
     * 区服在第43天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da43")
    private String da43;

    /**
     * 区服在第44天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da44")
    private String da44;

    /**
     * 区服在第45天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da45")
    private String da45;

    /**
     * 区服在第46天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da46")
    private String da46;

    /**
     * 区服在第47天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da47")
    private String da47;

    /**
     * 区服在第48天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da48")
    private String da48;

    /**
     * 区服在第49天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da49")
    private String da49;

    /**
     * 区服在第50天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da50")
    private String da50;

    /**
     * 区服在第51天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da51")
    private String da51;

    /**
     * 区服在第52天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da52")
    private String da52;

    /**
     * 区服在第53天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da53")
    private String da53;

    /**
     * 区服在第54天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da54")
    private String da54;

    /**
     * 区服在第55天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da55")
    private String da55;

    /**
     * 区服在第56天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da56")
    private String da56;

    /**
     * 区服在第57天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da57")
    private String da57;

    /**
     * 区服在第58天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da58")
    private String da58;

    /**
     * 区服在第59天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da59")
    private String da59;

    /**
     * 区服在第60天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da60")
    private String da60;

    /**
     * 区服在第61天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da61")
    private String da61;

    /**
     * 区服在第62天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da62")
    private String da62;

    /**
     * 区服在第63天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da63")
    private String da63;

    /**
     * 区服在第64天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da64")
    private String da64;

    /**
     * 区服在第65天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da65")
    private String da65;

    /**
     * 区服在第66天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da66")
    private String da66;

    /**
     * 区服在第67天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da67")
    private String da67;

    /**
     * 区服在第68天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da68")
    private String da68;

    /**
     * 区服在第69天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da69")
    private String da69;

    /**
     * 区服在第70天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da70")
    private String da70;

    /**
     * 区服在第71天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da71")
    private String da71;

    /**
     * 区服在第72天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da72")
    private String da72;

    /**
     * 区服在第73天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da73")
    private String da73;

    /**
     * 区服在第74天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da74")
    private String da74;

    /**
     * 区服在第75天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da75")
    private String da75;

    /**
     * 区服在第76天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da76")
    private String da76;

    /**
     * 区服在第77天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da77")
    private String da77;

    /**
     * 区服在第78天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da78")
    private String da78;

    /**
     * 区服在第79天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da79")
    private String da79;

    /**
     * 区服在第80天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da80")
    private String da80;

    /**
     * 区服在第81天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da81")
    private String da81;

    /**
     * 区服在第82天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da82")
    private String da82;

    /**
     * 区服在第83天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da83")
    private String da83;

    /**
     * 区服在第84天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da84")
    private String da84;

    /**
     * 区服在第85天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da85")
    private String da85;

    /**
     * 区服在第86天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da86")
    private String da86;

    /**
     * 区服在第87天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da87")
    private String da87;

    /**
     * 区服在第88天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da88")
    private String da88;

    /**
     * 区服在第89天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da89")
    private String da89;

    /**
     * 区服在第90天：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da90")
    private String da90;

    /**
     * 区服在第4月：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m4")
    private String m4;

    /**
     * 区服在第5月：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m5")
    private String m5;

    /**
     * 区服在第6月：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m6")
    private String m6;

    /**
     * 区服在第7月：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m7")
    private String m7;

    /**
     * 区服在第8月：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m8")
    private String m8;

    /**
     * 区服在第9月：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m9")
    private String m9;

    /**
     * 区服在第10月：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m10")
    private String m10;

    /**
     * 区服在第11月：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m11")
    private String m11;

    /**
     * 区服在第1年：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m12")
    private String m12;

    /**
     * 区服至今：活跃人数/付费人数/累计付费人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "total")
    private String total;


}
