package com.zanxiang.game.gs.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
public class RoleRemoveGameMonitorVO {
    @ApiModelProperty("游戏ID")
    private Integer gameId;
    @ApiModelProperty("角色ID")
    private String roleId;

    @ApiModelProperty("角色名称")
    private String roleName;
    @ApiModelProperty("超父游戏id")
    private Long superGameId;
    @ApiModelProperty("当前区服ID")
    private String endServerId;

    @ApiModelProperty("当前区服名称")
    private String endServerName;

    @ApiModelProperty("父游戏ID")
    private Integer parentGameId;
    @ApiModelProperty("父游戏名称")
    private String parentGameName;

    @ApiModelProperty("父用户ID")
    private Long associationUserId;

    @ApiModelProperty("角色vip")
    private Integer roleVip;

    @ApiModelProperty("角色等级")
    private Integer roleLevel;

    @ApiModelProperty("角色攻击力")
    private Long combatNum;

    @ApiModelProperty("国家")
    private String country;

    @ApiModelProperty("角色创建时间")
    private LocalDateTime roleTime;
    @ApiModelProperty("角色创角天数")
    private Long roleCreateDayDiff;
    @ApiModelProperty("角色最近充值时间距今")
    private Long lastOrderDayDiff;
    @ApiModelProperty("角色最近活跃时间距今")
    private Long roleActiveDayDiff;

    @ApiModelProperty("角色首充金额")
    private BigDecimal firstAmount;

    @ApiModelProperty("创角24小时付费金额")
    private BigDecimal roleHourAmount;

    @ApiModelProperty("角色最近充值金额")
    private BigDecimal lastAmount;

    @ApiModelProperty("角色最近充值时间")
    private LocalDateTime lastOrderTime;

    @ApiModelProperty("角色最近充值产品")
    private String productName;

    @ApiModelProperty("角色累计充值金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("角色累计充值次数")
    private Integer totalCnt;

    @ApiModelProperty("角色最近活跃时间")
    private LocalDateTime activeTime;

    @ApiModelProperty("小程序充值金额")
    private BigDecimal appAmount;

    @ApiModelProperty("角色转端充值比")
    private BigDecimal proportion;

    @ApiModelProperty("GS名称")
    private String gsName;
    @ApiModelProperty("GS ID")
    private Long gsId;

    @ApiModelProperty("GS服务时间-开始")
    private LocalDate gsStartTime;
    @ApiModelProperty("GS服务时间-结束")
    private LocalDate gsEndTime;

    @ApiModelProperty("GS服务天数")
    private Long gsServeDays;

    @ApiModelProperty("GS服务状态：0：服务中；1：服务完成")
    private Boolean serveStatus;

    @ApiModelProperty("角色来源：1：区服指派；2：角色指派")
    private Integer roleSource;

    @ApiModelProperty("角色人工判断退游状态：0：未退游；1：退游")
    private Integer humanRemoveGameStatus;

    @ApiModelProperty("角色系统判断退游状态：0：未退游；1：退游")
    private Integer systemRemoveGameStatus;
}
