package com.zanxiang.game.module.manage.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2024-10-31
 * @description : 发码器礼包领取条件
 */
@Data
public class GameGiftPackConditionDTO {

    /**
     * 未登录时间区间(单位 : 分钟)
     */
    @ApiModelProperty(notes = "未登录时间区间(单位 : 分钟)")
    private RangeBean unLogin;

    /**
     * 注册时间区间(单位 : 分钟)
     */
    @ApiModelProperty(notes = "注册时间区间(单位 : 分钟)")
    private RangeBean regTime;

    /**
     * 付费区间(单位 : 元)
     */
    @ApiModelProperty(notes = "付费区间(单位 : 元)")
    private RangeBean pay;

    /**
     * 区间对象
     */
    @Data
    public static class RangeBean {

        /**
         * 最小值
         */
        @ApiModelProperty(notes = "最小值")
        private Long min;

        /**
         * 最大值
         */
        @ApiModelProperty(notes = "最大值")
        private Long max;
    }
}
