package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2023-06-09
 * @description : 添加渠道
 */
@Data
public class AgentAddParam {

    /**
     * 渠道名称
     */
    @ApiModelProperty(notes = "渠道名称")
    @NotBlank(message = "渠道名称不能为空")
    private String agentName;

    /**
     * 推广账号类型（1：腾讯、2：头条）
     */
    @ApiModelProperty(notes = "推广账号类型（0：不投、1：腾讯H5、2：头条、3：腾讯小游戏、）")
    @NotNull(message = "渠道类型不能为空")
    private Integer accountType;

    /**
     * 账号类型
     */
    @ApiModelProperty(notes = "账号Id")
    private Long accountId;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    @NotNull(message = "投放游戏不能为空")
    private Long gameId;

    /**
     * 腾讯用户行为数据源 id
     */
    @ApiModelProperty(notes = "腾讯用户行为数据源 id")
    private Long userActionSetId;

    /**
     * 回传策略 id
     */
    @ApiModelProperty(notes = "回传策略 id")
    private Long backPolicyId;
    /**
     * 头条回传 token
     */
    @ApiModelProperty(notes = "头条回传 token")
    private String reportToken;
    /**
     * 头条回传 url
     */
    @ApiModelProperty(notes = "头条回传 url")
    private String reportUrl;

    /**
     * 头条星广联投任务 id
     */
    @ApiModelProperty(notes = "头条星广联投任务 id")
    private Long xgltDemandId;

    /**
     * 投放状态
     */
    @ApiModelProperty(notes = "投放状态")
    private Integer putStatus;
}
