package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2024-11-01
 * @description : 礼包码添加参数
 */
@Data
public class GameGiftPackCodeAddParam {

    /**
     * 礼包链接id
     */
    @NotNull(message = "礼包链接id不可为空")
    @ApiModelProperty(notes = "礼包链接id, 必传")
    private Long linkId;

    /**
     * 游戏id
     */
    @NotNull(message = "游戏id不可为空")
    @ApiModelProperty(notes = "游戏id, 必传")
    private Long gameId;

    /**
     * 礼包码列表
     */
    @NotEmpty(message = "礼包码列表不可为空")
    @ApiModelProperty(notes = "礼包码列表, 必传")
    private List<String> codeList;
}
