package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GameGiftPackCode;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * @author : lingfeng
 * @time : 2024-11-01
 * @description :
 */
@Data
public class GameGiftPackCodeListParam extends BaseListDTO<GameGiftPackCode> {

    /**
     * 链接id
     */
    @NotNull(message = "链接id不可为空")
    @ApiModelProperty(notes = "链接id, 必传")
    private Long linkId;

    /**
     * 礼包码
     */
    @ApiModelProperty(notes = "礼包码")
    private String code;

    /**
     * 是否可用
     */
    @ApiModelProperty(notes = "是否可用")
    private Integer enabled;

    /**
     * 创建开始时间
     */
    @ApiModelProperty(notes = "创建开始时间")
    private LocalDate createBeginTime;

    /**
     * 创建结束时间
     */
    @ApiModelProperty(notes = "创建结束时间")
    private LocalDate createEndTime;

    /**
     * 创建开始时间
     */
    @ApiModelProperty(notes = "创建开始时间")
    private LocalDate updateBeginTime;

    /**
     * 创建结束时间
     */
    @ApiModelProperty(notes = "创建结束时间")
    private LocalDate updateEndTime;
}
