package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GameGiftPackCodeLog;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * @author : lingfeng
 * @time : 2024-11-04
 * @description : 礼包码领取查询记录参数
 */
@Data
public class GameGiftPackCodeLogListParam extends BaseListDTO<GameGiftPackCodeLog> {

    /**
     * 链接id
     */
    @NotNull(message = "链接id不可为空")
    @ApiModelProperty(notes = "链接id, 必传")
    private Long linkId;

    /**
     * 创建开始时间
     */
    @ApiModelProperty(notes = "领取开始时间")
    private LocalDate createBeginTime;

    /**
     * 创建结束时间
     */
    @ApiModelProperty(notes = "领取结束时间")
    private LocalDate createEndTime;
}
