package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2024-11-01
 * @description : 礼包码更新参数
 */
@Data
public class GameGiftPackCodeUpdateParam {

    /**
     * 链接id
     */
    @NotNull(message = "链接id不可为空")
    @ApiModelProperty(notes = "链接id")
    private Long linkId;

    /**
     * 礼包码id列表
     */
    @NotEmpty(message = "礼包码id列表不可为空")
    @ApiModelProperty(notes = "礼包码id列表, 必传数组")
    private List<Long> ids;
}
