package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.manage.pojo.dto.GameGiftPackConditionDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2024-10-31
 * @description : 发码器链接添加参数
 */
@Data
public class GameGiftPackLinkAddParam {

    /**
     * 游戏id
     */
    @NotNull(message = "游戏id不可为空")
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 礼包类型
     */
    @NotBlank(message = "礼包类型不可为空")
    @ApiModelProperty(notes = "礼包类型")
    private String codeType;

    /**
     * 礼包判定条件
     */
    @ApiModelProperty(notes = "礼包判定条件")
    private GameGiftPackConditionDTO conditionDTO;
}
