package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.manage.pojo.dto.GameGiftPackConditionDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2024-10-31
 * @description : 礼包链接更新
 */
@Data
public class GameGiftPackLinkUpdateParam {

    /**
     * 主键id
     */
    @NotNull(message = "主键id不可为空")
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 礼包类型
     */
    @NotBlank(message = "礼包类型不可为空")
    @ApiModelProperty(notes = "礼包类型")
    private String codeType;

    /**
     * 礼包判定条件
     */
    @ApiModelProperty(notes = "礼包判定条件")
    private GameGiftPackConditionDTO conditionDTO;
}
