package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GameUserChat;
import com.zanxiang.module.web.pojo.BaseListDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * @author : lingfeng
 * @time : 2025-03-13
 * @description : 游戏角色聊天记录
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GameUserChatListParam extends BaseListDTO<GameUserChat> {

    /**
     * 超父游戏id
     */
    @NotNull(message = "超父游戏id不可为空")
    private Long supperGameId;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 聊天开始日期
     */
    private LocalDate chatStart;

    /**
     * 聊天结束日期
     */
    private LocalDate chatEnd;
}
