package com.zanxiang.game.module.manage.pojo.vo;

import com.zanxiang.game.module.manage.pojo.dto.GameGiftPackConditionDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-10-31
 * @description : 游戏礼包码链接
 */
@Data
public class GameGiftPackLinkVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 礼包码类型
     */
    @ApiModelProperty(notes = "礼包码类型")
    private String codeType;

    /**
     * 礼包码类型名称
     */
    @ApiModelProperty(notes = "礼包码类型名称")
    private String codeTypeName;

    /**
     * 礼包判定条件
     */
    @ApiModelProperty(notes = "礼包判定条件")
    private GameGiftPackConditionDTO conditionDTO;

    /**
     * 礼包链接
     */
    @ApiModelProperty(notes = "礼包链接")
    private String codeLink;

    /**
     * 更新者名字
     */
    @ApiModelProperty(notes = "更新者名字")
    private String createByName;

    /**
     * 创建者
     */
    @ApiModelProperty(notes = "创建者")
    private Long createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    @ApiModelProperty(notes = "更新者")
    private Long updateBy;

    /**
     * 更新者名字
     */
    @ApiModelProperty(notes = "更新者名字")
    private String updateByName;

    /**
     * 更新时间
     */
    @ApiModelProperty(notes = "更新时间")
    private LocalDateTime updateTime;
}
