package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GameGiftPackCodeLogListParam;
import com.zanxiang.game.module.manage.pojo.vo.GameGiftPackCodeLogVO;
import com.zanxiang.game.module.mybatis.entity.GameGiftPackCodeLog;

import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-09-23
 * @description : 游戏礼包码领取日志
 */
public interface IGameGiftPackCodeLogService extends IService<GameGiftPackCodeLog> {

    /**
     * 查询访问记录
     *
     * @param param : 查询参数
     * @return : 返回访问记录列表
     */
    IPage<GameGiftPackCodeLogVO> list(GameGiftPackCodeLogListParam param);

    /**
     * 领取礼包码
     *
     * @param linkLogId  : 访问记录id
     * @param userPhone  : 用户手机号
     * @param randomCode : 验证码
     * @return : 返回礼包码或者错误信息
     */
    Map<String, Object> getGiftPackCode(Long linkLogId, String userPhone, String randomCode);
}