package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GameGiftPackCodeAddParam;
import com.zanxiang.game.module.manage.pojo.params.GameGiftPackCodeListParam;
import com.zanxiang.game.module.manage.pojo.params.GameGiftPackCodeUpdateParam;
import com.zanxiang.game.module.manage.pojo.vo.GameGiftPackCodeVO;
import com.zanxiang.game.module.mybatis.entity.GameGiftPackCode;

/**
 * @author : lingfeng
 * @time : 2022-09-23
 * @description : 游戏礼包码
 */
public interface IGameGiftPackCodeService extends IService<GameGiftPackCode> {

    /**
     * 分页参数
     *
     * @param param : 查询参数
     * @return : 返回数据
     */
    IPage<GameGiftPackCodeVO> list(GameGiftPackCodeListParam param);

    /**
     * 添加礼包码
     *
     * @param param : 添加参数
     * @return : 返回添加结果
     */
    boolean addGiftPackCode(GameGiftPackCodeAddParam param);

    /**
     * 礼包码更新
     *
     * @param param : 更新参数
     * @return : 返回结果
     */
    boolean updateGiftPackCode(GameGiftPackCodeUpdateParam param);
}