package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GameGiftPackLinkAddParam;
import com.zanxiang.game.module.manage.pojo.params.GameGiftPackLinkListParam;
import com.zanxiang.game.module.manage.pojo.params.GameGiftPackLinkUpdateParam;
import com.zanxiang.game.module.manage.pojo.vo.GameGiftPackLinkVO;
import com.zanxiang.game.module.mybatis.entity.GameGiftPackLink;

/**
 * @author : lingfeng
 * @time : 2022-09-23
 * @description : 游戏礼包码链接
 */
public interface IGameGiftPackLinkService extends IService<GameGiftPackLink> {

    /**
     * 分页查询
     *
     * @param param : 查询参数
     * @return : 查询结果
     */
    IPage<GameGiftPackLinkVO> list(GameGiftPackLinkListParam param);

    /**
     * 根据主键id删除
     *
     * @param id : 主键id
     * @return : 删除结果
     */
    boolean deleteById(Long id);

    /**
     * 礼包码链接更新
     *
     * @param param : 更新参数
     * @return : 返回更新结果
     */
    boolean updateGiftPackLink(GameGiftPackLinkUpdateParam param);

    /**
     * 添加礼包码链接
     *
     * @param param : 添加参数
     * @return : 返回结果
     */
    boolean addGiftPackLink(GameGiftPackLinkAddParam param);
}