package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.RoleOperateParam;
import com.zanxiang.game.module.mybatis.entity.GameGiftPackLinkLog;
import com.zanxiang.game.module.mybatis.entity.RoleOperate;

/**
 * <p>
 * 角色操作表 服务类
 * </p>
 *
 * @author auto
 * @since 2023-09-09
 */
public interface IRoleOperateService extends IService<RoleOperate> {

    /**
     * 角色操作表根据发码器更新
     *
     * @param gameGiftPackLinkLog : 发码器访问记录
     */
    void roleOperateUpdate(String userPhone, GameGiftPackLinkLog gameGiftPackLinkLog);

    /**
     * 玩家是否加企微
     *
     * @param gameId : 游戏id
     * @param userId : 玩家id
     * @return : 返回是否加企微
     */
    boolean userAddCorpWechat(Long gameId, Long userId);

    /**
     * 角色操作表修改
     *
     * @param param : 参数
     * @return : 返回修改结果
     */
    boolean modify(RoleOperateParam param);
}
