package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 投放渠道
 *
 * @author bilingfeng
 * @date 2023/06/21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_agent")
public class Agent implements Serializable {

    private static final long serialVersionUID = 1L;

    public static final Long DEFAULT_AGENT = 0L;
    public static final String DEFAULT_AGENT_NAME = "自然量";

    public static final Integer PUT_STATUS_ING = 1;
    public static final Integer PUT_STATUS_STOP = 2;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 渠道名称
     */
    private String agentName;

    /**
     * 渠道唯一标识
     */
    private String agentKey;

    /**
     * 推广账号类型（1：腾讯、2：头条）
     */
    private Integer accountType;

    /**
     * 账号类型
     */
    private Long accountId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 腾讯用户行为数据源 id
     */
    private Long userActionSetId;

    /**
     * 回传策略 id
     */
    private Long backPolicyId;

    /**
     * 头条回传 token
     */
    private String reportToken;

    /**
     * 头条回传 url
     */
    private String reportUrl;

    /**
     * 头条星广联投任务 id
     */
    private Long xgltDemandId;

    /**
     * 投放状态
     */
    private Integer putStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private Long createBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    private Long updateBy;
}