package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 媒体sdk回传日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_back_log_media_sdk")
public class GameBackLogMediaSdk implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 回传类型
     */
    private String callBackTypeEnum;

    /**
     * 服务端回传判断
     */
    private String callBackJudgeResult;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 角色等级
     */
    private Long level;

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 媒体sdk回传参数
     */
    private String callBackParam;

    /**
     * 媒体sdk错误消息
     */
    private String errorMsg;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}