package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 游戏礼包码领取日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_gift_pack_code_log")
public class GameGiftPackCodeLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 礼包码
     */
    private String code;

    /**
     * 领取失败原因
     */
    private String msg;

    /**
     * 链接id
     */
    private Long linkId;

    /**
     * 用户手机号
     */
    private String userPhone;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 玩家id
     */
    private Long userId;

    /**
     * 区服id
     */
    private String serverId;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 企业id
     */
    private String corpId;

    /**
     * 客服号id
     */
    private String corpUserId;

    /**
     * 企微用户id
     */
    private String externalUserId;

    /**
     * 关联访问记录id
     */
    private Long linkLogId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}