package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2025-03-12
 * @description : 游戏玩家聊天记录
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_user_chat")
public class GameUserChat implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 超父游戏id
     */
    private Long supperGameId;

    /**
     * 区服id
     */
    private String serverId;

    /**
     * 区服名称
     */
    private String serverName;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 公会id
     */
    private String guildId;

    /**
     * 公会名称
     */
    private String guildName;

    /**
     * 聊天时间
     */
    private LocalDateTime chatTime;

    /**
     * 聊天内容
     */
    private String content;

    /**
     * 聊天频道
     */
    private String channel;

    /**
     * 私聊角色id
     */
    private String chatRoleId;

    /**
     * 私聊角色名称
     */
    private String chatRoleName;

    /**
     * 私聊角色区服id
     */
    private String chatRoleServerId;

    /**
     * 私聊角色区服名称
     */
    private String chatRoleServerName;

    /**
     * 私聊角色公会id
     */
    private String chatRoleGuildId;

    /**
     * 私聊角色公会名称
     */
    private String chatRoleGuildName;

    /**
     * 源数据
     */
    private String sourceData;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

}
