package com.zanxiang.game.module.sdk.pojo.param;

import com.zanxiang.game.module.sdk.enums.CallBackTypeEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2024-11-21
 * @description : 媒体sdk回传日志参数
 */
@Data
public class BackLogMediaSdkParam {

    /**
     * 用户行为回传类型, 必传
     */
    @NotNull(message = "用户行为回传类型不可为空")
    private CallBackTypeEnum callBackTypeEnum;

    /**
     * 服务端回传判断结果, 必传
     */
    private Map<String, Object> callBackJudgeResult;

    /**
     * 调用媒体sdk回传时给的参数
     */
    private Map<String, Object> callBackParam;

    /**
     * 媒体sdk调用出现异常的错误消息
     */
    private String errorMsg;

}
