package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.GameBackLogMediaSdk;
import com.zanxiang.game.module.sdk.pojo.param.BackLogMediaSdkParam;
import com.zanxiang.game.module.sdk.pojo.param.CallBackControlParam;
import com.zanxiang.game.module.sdk.pojo.param.UserData;

import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-11-10
 * @description : 媒体sdk回传日志
 */
public interface IGameBackLogMediaSdkService extends IService<GameBackLogMediaSdk> {

    /**
     * 媒体sdk事件回传判断
     *
     * @param param    : 参数
     * @param userData : 用户信息
     * @return : 返回结果
     */
    Map<String, Object> callBackJudge(CallBackControlParam param, UserData userData);

    /**
     * 添加媒体sdk回传日志
     *
     * @param param    : 参数
     * @param userData : 用户信息
     * @return : 返回添加结果
     */
    boolean addMediaSdkBackLog(BackLogMediaSdkParam param, UserData userData);
}
