package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.UserLoginLog;
import com.zanxiang.game.module.sdk.enums.LoginTypeEnum;
import com.zanxiang.game.module.sdk.pojo.param.GameUserRoleUpdateParam;
import com.zanxiang.game.module.sdk.pojo.param.UserData;

/**
 * @author : lingfeng
 * @time : 2022-06-13
 * @description :
 */
public interface IUserLoginLogService extends IService<UserLoginLog> {

    /**
     * 创建角色登录日志
     *
     * @param userData      用户
     * @param param         上报参数
     * @param loginTypeEnum 登录类型
     * @return {@link Boolean}
     */
    Boolean createRoleLoginLog(UserData userData, GameUserRoleUpdateParam param, LoginTypeEnum loginTypeEnum);

    /**
     * 创建用户登录日志
     *
     * @param userData      用户数据
     * @param loginTypeEnum 登录类型
     * @return {@link Boolean}
     */
    Boolean createUserLoginLog(UserData userData, LoginTypeEnum loginTypeEnum);
}
